DtWsmGetWorkspaceList(library call)

NAME
DtWsmGetWorkspaceList — get the names of the currently defined workspaces

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmGetWorkspaceList(
Display *display,
Window root,
Atom **ppaWorkspaces,
int *pNumWorkspaces);

DESCRIPTION

The DtWsmGetWorkspaceList function works with the XCDE workspace manager, dtwm(1). and returns a list of the names (converted into X atoms) of the currently defined workspaces.

The display argument is the X display.

The root argument is the root window of the screen of interest.

The *ppaWorkspaces argument is the address of a pointer to receive the returned pointer to the workspacelist.

The pNumWorkspaces argument is the address of an integer to receive the number of elements in the workspacelist.

RETURN VALUE

Upon successful completion, the DtWsmGetWorkspaceList function returns Success and the workspace manager returns in *ppaWorkspaces the list of atoms identifying workspaces, and returns in pNumWorkspaces the number of workspaces.

APPLICATION USAGE

If the DtWsmGetWorkspaceList function is not successful, failure may be due to a memory allocation error or failure to find the correct workspace information (that is, the XCDE workspace manager, dtwm(1), is not running). To get detailed information on the workspaces, the application must first call the DtWsmGetWorkspaceList function to get the names of all the workspaces. Then, for each workspace in the list, the application must call the DtWsmGetWorkspaceInfo(3) function. The application must use XtFree(3) to free data returned in *ppaWorkspaces.

SEE ALSO

Dt/Wsm.h - DtWsm(5), dtwm(1), XtFree(3), DtWsmGetWorkspaceInfo(3).